Skip to main content
GET
/
checkout-links
List custom checkout links
curl --request GET \
  --url https://api.blink.store/v1/checkout-links \
  --header 'x-store-id: <api-key>'
import requests

url = "https://api.blink.store/v1/checkout-links"

headers = {"x-store-id": "<api-key>"}

response = requests.get(url, headers=headers)

print(response.text)
const options = {method: 'GET', headers: {'x-store-id': '<api-key>'}};

fetch('https://api.blink.store/v1/checkout-links', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));


{
  "meta": {
    "total": 123,
    "page": 123,
    "limit": 123,
    "has_more": true
  },
  "data": [
    {
      "id": "<string>",
      "store_id": "<string>",
      "name": "<string>",
      "design": {
        "display_options": {
          "preview_button": true,
          "discount_code": true,
          "refund_policy": true
        },
        "override_theme": true,
        "colors": {
          "button": "<string>",
          "button_hover": "<string>",
          "button_text": "<string>",
          "button_text_hover": "<string>",
          "link": "<string>",
          "checkbox": "<string>",
          "selection_border": "<string>",
          "selection_background": "<string>"
        }
      },
      "status": "<string>",
      "views": 123,
      "sales": 123,
      "created_at": "2023-11-07T05:31:56Z"
    }
  ]
}

Authorizations

x-store-id
string
header
required

Query Parameters

limit
integer

Number of items per page.

page
integer

Page number to retrieve.

status
string

Filter by status of checkout links.

Response

200 - application/json

Checkout links retrieved successfully.

meta
object
data
object[]